# PVXMLRecordableFilename Class Reference

`#include <vxml.h>`

Inheritance diagram for PVXMLRecordableFilename:

List of all members.

## Public Member Functions

PBoolean | Open (const PString &arg)
bool | OnStart (PVXMLChannel &incomingChannel)
PBoolean | OnFrame (PBoolean isSilence)

## Protected Attributes

PFilePath | m_fileName

## Member Function Documentation

PBoolean PVXMLRecordableFilename::OnFrame | ( | PBoolean | isSilence | ) | `[virtual]`

Reimplemented from PVXMLRecordable.

bool PVXMLRecordableFilename::OnStart | ( | PVXMLChannel & | incomingChannel | ) | `[virtual]`

Implements PVXMLRecordable.

PBoolean PVXMLRecordableFilename::Open | ( | const PString & | arg | ) | `[virtual]`

Implements PVXMLRecordable.

## Member Data Documentation

PFilePath PVXMLRecordableFilename::m_fileName `[protected]`

The documentation for this class was generated from the following file:

- vxml.h